import { Plugin, PluginFactory, PluginPackageManifest, PluginModules } from "@web3api/core-js";
import { QueryConfig } from "../query";
import { MutationConfig } from "../mutation";
export interface IpfsPluginConfigs {
    query: QueryConfig;
    mutation: MutationConfig;
}
export declare class IpfsPlugin implements Plugin {
    private _configs;
    constructor(_configs: IpfsPluginConfigs);
    static manifest(): PluginPackageManifest;
    getModules(): PluginModules;
}
export declare const ipfsPlugin: PluginFactory<IpfsPluginConfigs>;
export declare const plugin: PluginFactory<IpfsPluginConfigs>;
